Package com.tietoenator.trip.jxp.data

# Enum Class TdbFieldFetchType

java.lang.Object
java.lang.Enum<TdbFieldFetchType>
com.tietoenator.trip.jxp.data.TdbFieldFetchType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbFieldFetchType>`, `Constable`

public enum TdbFieldFetchType extends Enum<TdbFieldFetchType>
Used with the TdbFieldTemplate class to indicate how to fetch TEXT field values from the server.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EntireValue`
  Fetch the entire contents of the field.
  `Extract`
  Extract a text fragment of specified size from the start of the field.
  `ExtractMergeParts`
  Extract a text fragment of specified size from the start of the field.
  `Focus`
  Fetch a fragment of the field value focused on existing search hits.
  `FocusMergeParts`
  Fetch a fragment of the field value focused on existing search hits.
  `FocusOrExtract`
  Fetch a fragment of the field value focused on existing search hits.
  `FocusOrExtractMergeParts`
  Fetch a fragment of the field value focused on existing search hits.
  `FormattedValue`
  Retrieive data from a record formatted by an output format.
  `NoValue`
  Do not fetch the contents of the field.
  `Summary`
  Summarize the contents of the TEXT field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbFieldFetchType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbFieldFetchType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EntireValue

    public static final TdbFieldFetchType EntireValue
    Fetch the entire contents of the field.

  - ### NoValue

    public static final TdbFieldFetchType NoValue
    Do not fetch the contents of the field. Only fetch meta data such as field size. Useable with STRING fields for which only the size of the stored data is of interest.

  - ### Focus

    public static final TdbFieldFetchType Focus
    Fetch a fragment of the field value focused on existing search hits. If no hits exist in the field, an empty string will be returned instead.

  - ### Extract

    public static final TdbFieldFetchType Extract
    Extract a text fragment of specified size from the start of the field.

  - ### FocusOrExtract

    public static final TdbFieldFetchType FocusOrExtract
    Fetch a fragment of the field value focused on existing search hits. If no hits exist in the field, a text fragment from the start of the field will be fetched instead.

  - ### Summary

    public static final TdbFieldFetchType Summary
    Summarize the contents of the TEXT field.

  - ### FocusMergeParts

    public static final TdbFieldFetchType FocusMergeParts
    Fetch a fragment of the field value focused on existing search hits. If no hits exist in the field, an empty string will be returned instead. Part fields will be merged. Internal use only.

  - ### ExtractMergeParts

    public static final TdbFieldFetchType ExtractMergeParts
    Extract a text fragment of specified size from the start of the field. Part fields will be merged. Internal use only.

  - ### FocusOrExtractMergeParts

    public static final TdbFieldFetchType FocusOrExtractMergeParts
    Fetch a fragment of the field value focused on existing search hits. If no hits exist in the field, a text fragment from the start of the field will be fetched instead. Part fields will be merged. Internal use only.

  - ### FormattedValue

    public static final TdbFieldFetchType FormattedValue
    Retrieive data from a record formatted by an output format.

    To be used with the TdbFieldTemplate class, in which the field name specifies an output format whose result will be returned as if it were a text field value. Retrieved data is returned via TdbTextField instances.

    The output format will be applied once for for each record retrieved. This field fetch type is only valid for the head component, even if the associated output format may pull data from one or more part records.

- ## Method Details

  - ### values

    public static TdbFieldFetchType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbFieldFetchType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null